// ==========================================================================
// 所属模块：event - user
// 生成日期：2024/10/16
// 生成路径: /api/event/user/function.js
// 生成人：xScript_Engine
// 数据表：system
// ==========================================================================

response.headers.add('X-Script-Version', 'user-24.10.20')

function main() {
    let uid = payload.get().path.split('/').pop()
    let event = payload.get().query.event
    let data = payload.get().body?.toString()

    let sessions = cache.get('session', uid)
    for (let i in sessions) {
        if (!sse.send(sessions[i], event, data)) {
            // sse.send 失败，可能是 session 过期，删除该 session
            delete sessions[i]
            cache.set('session', uid, sessions)
        }
    }

    return okMsg(true)
}
